Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231921 - Solaris: bindir in mozldap6.pc is not correct
Summary: Solaris: bindir in mozldap6.pc is not correct
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Unknown
Version: 1.0.4
Hardware: All
OS: Other
medium
medium
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-03-12 23:40 UTC by Noriko Hosoi
Modified: 2015-12-07 17:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:12:47 UTC


Attachments (Terms of Use)
svn diff mozldap6.spec (deleted)
2007-03-12 23:44 UTC, Noriko Hosoi
no flags Details | Diff
cvs diff (build_*mozldap*, mozldap6.spec) (deleted)
2007-03-13 17:22 UTC, Noriko Hosoi
no flags Details | Diff
svn commit message (deleted)
2007-03-13 17:27 UTC, Noriko Hosoi
no flags Details

Description Noriko Hosoi 2007-03-12 23:40:03 UTC
Description of problem:
This is the current 
$ less /usr/lib/sparcv9/pkgconfig/mozldap6.pc
prefix=/usr
exec_prefix=/usr
libdir=/usr/lib/sparcv9
includedir=/usr/include/mozldap6
bindir=/usr/bin/sparcv9
major=%major%
[...]

The bindir is picked up when DS is configured and DS scripts are set with the
path for the mozldap6 tools as follows (this is an example picked up from
db2index.pl)
$ENV{'PATH'} = "$prefix/usr/bin/sparcv9:$prefix/usr/bin:/usr/bin/sparcv9:/usr/bin";

On Solaris, there is no LDAP tools in /usr/bin/sparcv9, but Sun system LDAP
tools are located in /usr/bin.  So, the DS scripts are forced to use the Sun
LDAP tools and some of the TET clu tests fail due to the differences.

Comment 1 Noriko Hosoi 2007-03-12 23:44:08 UTC
Created attachment 149885 [details]
svn diff mozldap6.spec

Change:
1. Setting %{mylibdir}/%{base_name} to mybindir, which is used for
pkgconfig/mozldap6.pc.
2. Using the variable mybindir for the LDAP tool location.

Comment 2 Nathan Kinder 2007-03-13 15:15:32 UTC
Looks good!

Comment 3 Noriko Hosoi 2007-03-13 17:22:54 UTC
Created attachment 149952 [details]
cvs diff (build_*mozldap*, mozldap6.spec)

In addition to the changes in comment #1, increased the release number to 6.

Comment 4 Noriko Hosoi 2007-03-13 17:27:57 UTC
Created attachment 149953 [details]
svn commit message

Thanks to Nathan for the clues for debugging as well as reviewing the changes.

Checked in into HEAD.

Comment 5 Noriko Hosoi 2007-03-13 18:37:41 UTC
Pushed the package files to /share/builds/sandbox/dirsec/current/pkgs/sparcv9/5.9.
Then re-catalog'ed:
cd /share/builds/sandbox/dirsec
./recatalog
=================  32-bit Red Hat (Solaris 9)  =================
================================================================

=================  64-bit Red Hat (Solaris 9)  =================
================================================================


Comment 6 Nathan Kinder 2007-12-21 19:17:30 UTC
Verified that mozldap6.pc on Solaris uses a bindir of /usr/lib/sparcv9/mozldap6.
 Our clu test suite also verifies that this fix is working properly.

Marking as VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.